org.apache.fop.tools.fontlist

## Class FontSpec

- java.lang.Object
- - org.apache.fop.tools.fontlist.FontSpec

- All Implemented Interfaces:
    java.lang.Comparable

      public class FontSpec
      extends java.lang.Object
      implements java.lang.Comparable

  Represents a font with information on how it can be used from XSL-FO.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontSpec(java.lang.String key, FontMetrics metrics)` Creates a new font spec.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFamilyNames(java.util.Collection<java.lang.String> names)` Adds font family names.
    `void` | `addTriplet(FontTriplet triplet)` Adds a font triplet.
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.SortedSet` | `getFamilyNames()` Returns the font family names.
    `FontMetrics` | `getFontMetrics()` Returns the font metrics.
    `java.lang.String` | `getKey()` Returns the internal font key.
    `java.util.Collection` | `getTriplets()` Returns the font triplets.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontSpec

          public FontSpec(java.lang.String key,
                          FontMetrics metrics)

      Creates a new font spec.
      Parameters:
        `key` - the internal font key
        `metrics` - the font metrics

  - ### Method Detail

    - #### addFamilyNames

          public void addFamilyNames(java.util.Collection<java.lang.String> names)

      Adds font family names.
      Parameters:
        `names` - the names

    - #### addTriplet

          public void addTriplet(FontTriplet triplet)

      Adds a font triplet.
      Parameters:
        `triplet` - the font triplet

    - #### getFamilyNames

          public java.util.SortedSet getFamilyNames()

      Returns the font family names.
      Returns:
        the font family names

    - #### getTriplets

          public java.util.Collection getTriplets()

      Returns the font triplets.
      Returns:
        the font triplets

    - #### getKey

          public java.lang.String getKey()

      Returns the internal font key.
      Returns:
        the internal font key

    - #### getFontMetrics

          public FontMetrics getFontMetrics()

      Returns the font metrics.
      Returns:
        the font metrics

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.